#include <bits/stdc++.h>
using namespace std;

int main(){
int n,d=1,x1=0,x2=0;
cin>>n;
vector <char> s;
vector <int> v;
for(int i=0;i<n;i++){
int x;
cin>>x;
if(x==-1){
x1=x;
}
if(x==1){
x2=x;
}
v.push_back(x);
}	

sort(v.begin(),v.end());
if(n%2==0){
if(x1!=0 && x2!=0){
cout<<d<<endl<<1;
}
while(d!=n){
d++;
s.push_back('1');
s.push_back('2');
}
}





cout<<d<<endl;
for(int i=0;i<s.size();i++){
cout<<s[i];
}
return 0;	
}